[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.DrawCellAutonumbering

Performs auto-numbering for a cell in the grid.

## Declaration

Source position: grids.pas line 1780

`protected procedure TCustomStringGrid.DrawCellAutonumbering(`
`aCol: Integer;`
`aRow: Integer;`
`aRect: TRect;`
`const aValue: string`
`); override;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`aRect` |  | Rectangle where the cell is drawn.
`aValue` |  | Text to display as the auto-numbering value.

## Description

Renders the row number for non-fixed rows in the grid control. Calls the inherited DrawCellAutoNumbering method when the cell at ACol and ARow contains an empty string ('').

Called from the DefaultDrawCell method when goFixedRowNumbering is included in Options.